NSX Autonomous Edge REST API
Associated URIs:
| API Description | API Path |
|---|---|
Read node propertiesReturns information about the NSX appliance. Information includes release number, time zone, system time, kernel version, message of the day (motd), and host name. |
GET /node
|
Restart or shutdown nodeRestarts or shuts down the NSX appliance. |
POST /node?action=restart
POST /node?action=shutdown |
Set the node system timeSet the node system time to the given time in UTC in the RFC3339 format 'yyyy-mm-ddThh:mm:ssZ'. |
POST /node?action=set_system_time
|
Update node propertiesModifies NSX appliance properties. Modifiable properties include the timezone, message of the day (motd), and hostname. The NSX appliance node_version, system_time, and kernel_version are read only and cannot be modified with this method. |
PUT /node
|
Delete directory in remote file serverDelete a directory or file on the remote server. When remote directory is specified for deletion, it removes all of files and sub-directories residing within the specified remote directory for deletion. Supports only SFTP. You must provide the remote server's SSH fingerprint. See the NSX Administration Guide for information and instructions about finding the SSH fingerprint. |
DELETE /node/file-store?action=delete_remote_directory
|
List node files |
GET /node/file-store
|
Retrieve ssh fingerprint for given remote serverRetrieve ssh fingerprint for a given remote server and port. |
POST /node/file-store?action=retrieve_ssh_fingerprint
|
Create directory in remote file serverCreate a directory on the remote remote server. Supports only SFTP. You must provide the remote server's SSH fingerprint. See the NSX Administration Guide for information and instructions about finding the SSH fingerprint. |
POST /node/file-store?action=create_remote_directory
|
Retrieve matching host key algorithm for the ssh fingerprint providedRetrieve matching host key algorithm for a given remote server , port and ssh fingerprint. |
POST /node/file-store?action=retrieve_matching_host_key_algorithm
|
Delete file |
DELETE /node/file-store/{file-name}
|
Read file properties |
GET /node/file-store/{file-name}
|
Copy file in the file store to a remote file storeCopy a file in the file store to a remote server. If you use scp or sftp, you must provide the remote server's SSH fingerprint. See the NSX-T Administration Guide for information and instructions about finding the SSH fingerprint. |
POST /node/file-store/{file-name}?action=copy_to_remote_file
|
Upload a file to the file storeWhen you issue this API, the client must specify: - HTTP header Content-Type:application/octet-stream. - Request body with the contents of the file in the filestore. In the CLI, you can view the filestore with the get files command. |
POST /node/file-store/{file-name}
|
Copy a remote file to the file storeCopy a remote file to the file store. If you use scp or sftp, you must provide the remote server's SSH fingerprint. See the NSX-T Administration Guide for information and instructions about finding the SSH fingerprint. |
POST /node/file-store/{file-name}?action=copy_from_remote_file
|
Read file contents |
GET /node/file-store/{file-name}/data
|
Replace file contents |
PUT /node/file-store/{file-name}/data
|
Read file thumbprint |
GET /node/file-store/{file-name}/thumbprint
|
Read node message of the dayReturns the message of the day (motd) text. |
GET /node/motd
|
List node network routesReturns detailed information about each route in the node routing table. Routes can be of any type i.e. IPv4 or IPv6 or both. Route information includes the route ipv6 flag (True or False), route type (default, static, and so on), a unique route identifier, the route metric, the protocol from which the route was learned, the route source (which is the preferred egress interface), the route destination, and the route scope. If ipv6 flag is True then route information is for IPv6 route else for IPv4 route. The route scope refers to the distance to the destination network: The "host" scope leads to a destination address on the node, such as a loopback address; the "link" scope leads to a destination on the local network; and the "global" scope leads to addresses that are more than one hop away. |
GET /node/network/routes
|
Create node network routeAdd a route to the node routing table. For static routes, the route_type, interface_id, netmask, and destination are required parameters. For default routes, the route_type, gateway address, and interface_id are required. For blackhole routes, the route_type and destination are required. All other parameters are optional. When you add a static route, the scope and route_id are created automatically. When you add a default or blackhole route, the route_id is created automatically. The route_id is read-only, meaning that it cannot be modified. All other properties can be modified by deleting and readding the route. |
POST /node/network/routes
|
Delete node network routeDelete a route from the node routing table. You can modify an existing route by deleting it and then posting the modified version of the route. To verify, remove the route ID from the URI, issue a GET request, and note the absense of the deleted route. |
DELETE /node/network/routes/{route-id}
|
Read node network routeReturns detailed information about a specified route in the node routing table. |
GET /node/network/routes/{route-id}
|
List node processesReturns the number of processes and information about each process. Process information includes 1) mem_resident, which is roughly equivalent to the amount of RAM, in bytes, currently used by the process, 2) parent process ID (ppid), 3) process name, 4) process up time in milliseconds, 5) mem_used, wich is the amount of virtual memory used by the process, in bytes, 6) process start time, in milliseconds since epoch, 7) process ID (pid), 8) CPU time, both user and the system, consumed by the process in milliseconds. |
GET /node/processes
|
Read node processReturns information for a specified process ID (pid). |
GET /node/processes/{process-id}
|
Read appliance management service properties |
GET /node/services/node-mgmt
|
Restart the node management service |
POST /node/services/node-mgmt?action=restart
|
Retrieve Node Management loglevel |
GET /node/services/node-mgmt/loglevel
|
Set Node Management loglevel |
PUT /node/services/node-mgmt/loglevel
|
Read appliance management service status |
GET /node/services/node-mgmt/status
|
Read NSX Platform Client service properties |
GET /node/services/nsx-platform-client
|
Restart, start or stop the NSX Platform Client service |
POST /node/services/nsx-platform-client?action=restart
POST /node/services/nsx-platform-client?action=start POST /node/services/nsx-platform-client?action=stop |
Read NSX Platform Client service status |
GET /node/services/nsx-platform-client/status
|
Read node statusReturns information about the node appliance's file system, CPU, memory, disk usage, and uptime. |
GET /node/status
|
Update node statusClear node bootup status |
POST /node/status?action=clear_bootup_error
|
Read node version |
GET /node/version
|